export declare class Snippet {
    readonly filepath: string;
    readonly name: string;
    constructor(filepath: string, name: string);
    /**
     * Gets the file contents of the snippet.
     * @param callback called when the snippet is retrieved
     */
    get(callback: (err: any, res: any) => any): void;
    /**
     * Gets the file contents of the snippet synchronously.
     * @returns the file contents of the snippet as a string.
     */
    getSync(): string;
}
